package kr.co.i4way.genesys.stat;

public class StatExModel {
	private int id;
	private String objId;
	private String objType;
	private String tenant;
	private String tenantPw;
	private String intervalType;
	private String intervalLength;
	private String category;
	private String subject;
	private String notificationMode;
	private int frequency;
	private int insensitivity;
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getObjId() {
		return objId;
	}
	public void setObjId(String objId) {
		this.objId = objId;
	}
	public String getObjType() {
		return objType;
	}
	public void setObjType(String objType) {
		this.objType = objType;
	}
	public String getTenant() {
		return tenant;
	}
	public void setTenant(String tenant) {
		this.tenant = tenant;
	}
	public String getTenantPw() {
		return tenantPw;
	}
	public void setTenantPw(String tenantPw) {
		this.tenantPw = tenantPw;
	}
	public String getIntervalType() {
		return intervalType;
	}
	public void setIntervalType(String intervalType) {
		this.intervalType = intervalType;
	}
	public String getIntervalLength() {
		return intervalLength;
	}
	public void setIntervalLength(String intervalLength) {
		this.intervalLength = intervalLength;
	}
	public String getCategory() {
		return category;
	}
	public void setCategory(String category) {
		this.category = category;
	}
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	@Override
	public String toString() {
		return "StatExModel [id=" + id + ", objId=" + objId + ", objType=" + objType + ", tenant=" + tenant
				+ ", tenantPw=" + tenantPw + ", intervalType=" + intervalType + ", intervalLength=" + intervalLength
				+ ", category=" + category + ", subject=" + subject + "]";
	}
	public int getFrequency() {
		return frequency;
	}
	public void setFrequency(int frequency) {
		this.frequency = frequency;
	}
	public String getNotificationMode() {
		return notificationMode;
	}
	public void setNotificationMode(String notificationMode) {
		this.notificationMode = notificationMode;
	}
	public int getInsensitivity() {
		return insensitivity;
	}
	public void setInsensitivity(int insensitivity) {
		this.insensitivity = insensitivity;
	}
}